Service Order
Reschedule delivery
Update the pickup or delivery window, address, or provider for an existing service order. Send delivery as null to cancel a scheduled delivery.
PATCH
/
service-order
/
{serviceOrderId}
/
transportation
cURL
curl --request PATCH \
--url https://api3.trycents.com/api/v1/common/service-order/{serviceOrderId}/transportation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'fwdorigin: <fwdorigin>' \
--data '
{
"delivery": {
"deliveryWindow": [
123
],
"courierTip": 123,
"centsCustomerAddressId": 123,
"timingsId": 123,
"thirdPartyDeliveryId": "<string>"
},
"paymentMethodToken": "<string>"
}
'import requests
url = "https://api3.trycents.com/api/v1/common/service-order/{serviceOrderId}/transportation"
payload = {
"delivery": {
"deliveryWindow": [123],
"courierTip": 123,
"centsCustomerAddressId": 123,
"timingsId": 123,
"thirdPartyDeliveryId": "<string>"
},
"paymentMethodToken": "<string>"
}
headers = {
"fwdorigin": "<fwdorigin>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
fwdorigin: '<fwdorigin>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
delivery: {
deliveryWindow: [123],
courierTip: 123,
centsCustomerAddressId: 123,
timingsId: 123,
thirdPartyDeliveryId: '<string>'
},
paymentMethodToken: '<string>'
})
};
fetch('https://api3.trycents.com/api/v1/common/service-order/{serviceOrderId}/transportation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": 123,
"status": "<string>",
"orderTotal": 123,
"netOrderTotal": 123,
"paymentStatus": "<string>",
"pickupDeliveryFee": 123,
"returnDeliveryFee": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
DISPATCH_API Path Parameters
ID of the service order to update
Body
application/json
Updated pickup configuration. Omit to leave pickup unchanged.
Show child attributes
Show child attributes
Updated delivery configuration. Send null to cancel a scheduled delivery. Omit to leave delivery unchanged.
Show child attributes
Show child attributes
Stripe Payment Method ID to charge for any cost difference
Response
Transportation updated successfully
Show child attributes
Show child attributes
⌘I
cURL
